Jifty::Web::Form::Field::Checkbox(3)

NAME
Jifty::Web::Form::Field::Checkbox - Add checkboxes to your forms

METHODS

  accessors
Provide "checked" and "value" accessors, in addition to Jifty::Web::Form::Field's default accessors. "value" defaults to "1".

  render_widget
Renders the checkbox widget.

  render_value
Renders value as a checkbox widget.

  javascript_preempt
By default, javascript (such as onclick handlers) should not actually prevent browsers from placing the checkmark in the checkbox.